{% extends "base.no.search.html.j2" %}
{% block meta %}
<link href="//vjs.zencdn.net/7.4.1/video-js.css" rel="stylesheet">
<!-- If you'd like to support IE8 (for Video.js versions prior to v7) -->
<script src="//vjs.zencdn.net/ie8/1.1.2/videojs-ie8.min.js"></script>
{# <link rel="stylesheet" type="text/css" href="/static/css/ver.css" /> #}
{% endblock %}

{% block content %}
    <video class="video-js" controls preload='auto' autoplay
           id="myvideo" width="1280" height="720"
           data-setup='{}'
    >
      <source
        type="video/mp4"
        src="{{uri}}"
      />
    </video>
{% endblock %}

{% block js %}
<script src='//vjs.zencdn.net/7.4.1/video.js'></script>
<script src='//cdn.jsdelivr.net/npm/videojs-seek-buttons@1.3.0/dist/videojs-seek-buttons.min.js'></script>
<link href="//cdn.jsdelivr.net/npm/videojs-seek-buttons@1.3.0/dist/videojs-seek-buttons.css" rel="stylesheet">
<script src="//cdn.sc.gl/videojs-hotkeys/0.2/videojs.hotkeys.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/videojs-upnext@2.2.1/dist/videojs-upnext-with-map.js"></script>
<link rel="stylesheet" type="text/css" href="//cdn.jsdelivr.net/npm/videojs-upnext@2.2.1/dist/videojs-upnext.css" />

<script>
    var player = videojs('myvideo');

    player.seekButtons({
      forward: 30,
      back: 10
    });

    //force reload if video src is invalid ==================
    // var video_container = document.getElementById('myvideo');
    // video_container.addEventListener('error', function() {
    //   if (video_container.networkState === 3) {
    //     var current_uri = window.location.href
    //     current_uri = current_uri.replace("/v/", "/process/")
    //     window.location.replace(current_uri + "/force")
    //   }
    // });
    //end force reload ======================================

    // go back in history if video src is invalid ===========
    var video_container = document.getElementById('myvideo');
    video_container.addEventListener('error', function() {
      if (video_container.networkState === 3) {
        window.location.replace(document.referrer)
      }
    });
    //end go back in history ================================

    function clickOrigin(e){
        var target = e.target;
        var tag = [];
        tag.tagType = target.tagName.toLowerCase();
        tag.tagClass = target.className.split(' ');
        tag.id = target.id;
        tag.parent = target.parentNode;

        return tag;
    }

    function requestFullscreen() {
        player.requestFullscreen();
    }

    function handleFullscreen(e) {
        tagsToIdentify = ['img','a'];
        elem = clickOrigin(e);
        identified = false;

        for (i=0;i<tagsToIdentify.length;i++){
            if (elem.tagType == tagsToIdentify[i]){
                identified = true;
            }
        }

        if (!identified) {
            requestFullscreen();
        }
    }

    //go fullscreen when pressed tag is NOT an img/link(a)
    document.body.onclick = handleFullscreen;

    player.ready(function() {
      this.hotkeys({
        volumeStep: 0.1,
        seekStep: 30,
        enableModifiersForNumbers: true,
      })
    });

    {% if next_uri %}
    player.upnext({
        timeout : 5000,
        headText : 'Siguiente',
        cancelText: 'Cancelar',
        getTitle : function() { return ' ' },
        next : function () {
            window.location.replace('{{next_uri}}')
        }
    });

    {# player.on('ended', function() { #}
      {# window.location.replace('{{next_uri}}') #}
    {# }); #}
    {% endif %}
</script>
{% endblock %}
